# updateMemberInput

### Examples

```graphql
input UpdateMemberInput {
  userId: String!
  roleIDs: [String]
  scopes: String
}
```

### Fields

| Field              | Description                                                                                                                                                                                                                                                                                      | Supported fields |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ---------------- |
| userId `String!`   | user ID                                                                                                                                                                                                                                                                                          |                  |
| roleIDs `[String]` | list of role id's assigned to the user                                                                                                                                                                                                                                                           |                  |
| scopes `String`    | list of scopes id's assigned to the user as string where the id's are comma separated and space separated between owners and tags owners starting with 'app-owner:' prefix and tags starting with 'tags:' prefix (eg. 'app-owner:<usermail@acme.com>,<usermail2@acme.com> tags:XXX-XXX-XXX-XXX') |                  |

### References

#### Mutations using this object:

* [<\~> updateMember.updateMemberInput](/api-documentation/api-reference/api--organization/mutations/update-member.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--organization/types/inputs/update-member-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
